# Kalimdor.js

Kalimdor.js is a Machine Learning library written in Typescript. It solves Machine Learning problems
and teaches users how Machine Learning algorithms work.

[![Build Status](https://travis-ci.org/kalimdorjs/kalimdorjs.svg?branch=master)](https://travis-ci.org/kalimdorjs/kalimdorjs)
[![Build status](https://ci.appveyor.com/api/projects/status/0e70aia5vi2h35hs/branch/master?svg=true)](https://ci.appveyor.com/project/JasonShin/kalimdorjs/branch/master)
[![FOSSA Status](https://app.fossa.io/api/projects/git%2Bgithub.com%2FJasonShin%2Fkalimdorjs.svg?type=shield)](https://app.fossa.io/projects/git%2Bgithub.com%2FJasonShin%2Fkalimdorjs?ref=badge_shield)
[![Slack](https://slack.bri.im/badge.svg)](https://slack.bri.im)

<img src="https://i.imgur.com/CpZA2U7.png">

# User Installation

Using yarn

```bash
$ yarn add kalimdor
```

Using NPM

```bash
$ npm install --save kalimdor
```

# Highlights

- Machine Learning on the browser and Node.js
- Learning APIs for users
- Low entry barrier

# Development

We welcome new contributors of all level of experience. The development guide will be added
to assist new contributors to easily join the project.

- You want to participate in a Machine Learning project, which will boost your Machine Learning skills and knowledge
- Looking to be part of a growing community
- You want to learn Machine Learning
- You like Typescript :heart: Machine Learning

# Simplicity

Kalimdor.js provides a simple and consistent set of APIs to interact with the models and algorithms.
For example, all models have follow APIs:

- `fit` for training
- `predict` for inferencing
- `toJSON` for saving the model's state
- `fromJSON` for loading the model from the checkpoint

# Testing

Testing ensures you that you are currently using the most stable version of Kalimdor.js

```bash
$ npm run test
```

# Supporting

Simply give us a :star2: by clicking on <img width="45" src="https://i.imgur.com/JEOaKBk.png">

# Contributing

We simply follow "fork-and-pull" workflow of Github. Please read CONTRIBUTING.md for more detail.

# Further notice

Great references that helped building this project!

- https://machinelearningmastery.com/
- https://github.com/mljs/ml
- http://scikit-learn.org/stable/documentation.html

## Contributors

Thanks goes to these wonderful people ([emoji key](https://github.com/kentcdodds/all-contributors#emoji-key)):

<!-- ALL-CONTRIBUTORS-LIST:START - Do not remove or modify this section -->
<!-- prettier-ignore -->
| [<img src="https://avatars0.githubusercontent.com/u/2525002?v=4" width="100px;"/><br /><sub><b>Jason Shin</b></sub>](https://github.com/JasonShin)<br />[📝](#blog-JasonShin "Blogposts") [🐛](https://github.com/JasonShin/Kalimdor/issues?q=author%3AJasonShin "Bug reports") [💻](https://github.com/JasonShin/Kalimdor/commits?author=JasonShin "Code") [📖](https://github.com/JasonShin/Kalimdor/commits?author=JasonShin "Documentation") [⚠️](https://github.com/JasonShin/Kalimdor/commits?author=JasonShin "Tests") | [<img src="https://avatars0.githubusercontent.com/u/21098186?v=4" width="100px;"/><br /><sub><b>Jaivarsan</b></sub>](https://github.com/greed2411)<br />[💬](#question-greed2411 "Answering Questions") [🤔](#ideas-greed2411 "Ideas, Planning, & Feedback") [📢](#talk-greed2411 "Talks") | [<img src="https://avatars2.githubusercontent.com/u/9072266?v=4" width="100px;"/><br /><sub><b>Oleg Stotsky</b></sub>](https://github.com/OlegStotsky)<br />[🐛](https://github.com/JasonShin/Kalimdor/issues?q=author%3AOlegStotsky "Bug reports") [💻](https://github.com/JasonShin/Kalimdor/commits?author=OlegStotsky "Code") [📖](https://github.com/JasonShin/Kalimdor/commits?author=OlegStotsky "Documentation") [⚠️](https://github.com/JasonShin/Kalimdor/commits?author=OlegStotsky "Tests") | [<img src="https://avatars3.githubusercontent.com/u/687794?v=4" width="100px;"/><br /><sub><b>Ben</b></sub>](https://github.com/benjaminmcdonald)<br />[💬](#question-benjaminmcdonald "Answering Questions") [🎨](#design-benjaminmcdonald "Design") [📢](#talk-benjaminmcdonald "Talks") [🐛](https://github.com/JasonShin/Kalimdor/issues?q=author%3Abenjaminmcdonald "Bug reports") [💻](https://github.com/JasonShin/Kalimdor/commits?author=benjaminmcdonald "Code") | [<img src="https://avatars1.githubusercontent.com/u/7292257?v=4" width="100px;"/><br /><sub><b>Christoph Reinbothe</b></sub>](https://github.com/LSBOSS)<br />[💻](https://github.com/JasonShin/Kalimdor/commits?author=LSBOSS "Code") [🤔](#ideas-LSBOSS "Ideas, Planning, & Feedback") [🚇](#infra-LSBOSS "Infrastructure (Hosting, Build-Tools, etc)") [👀](#review-LSBOSS "Reviewed Pull Requests") | [<img src="https://avatars1.githubusercontent.com/u/14098106?v=4" width="100px;"/><br /><sub><b>Adam King</b></sub>](https://github.com/adamjking3)<br />[💻](https://github.com/JasonShin/Kalimdor/commits?author=adamjking3 "Code") [⚠️](https://github.com/JasonShin/Kalimdor/commits?author=adamjking3 "Tests") [📖](https://github.com/JasonShin/Kalimdor/commits?author=adamjking3 "Documentation") |
| :---: | :---: | :---: | :---: | :---: | :---: |

<!-- ALL-CONTRIBUTORS-LIST:END -->
