# API Reference

References entry point to classes and method of Kalimdor.js; It will give you details on
each individual API but it may not explain the full usage to solve problems.

    
### cluster
        
- [cluster.KMeans](./cluster.KMeans.md)
    
### datasets
        
- [datasets.Boston](./datasets.Boston.md)
        
- [datasets.Iris](./datasets.Iris.md)
    
### decomposition
        
- [decomposition.PCA](./decomposition.PCA.md)
    
### ensemble
        
- [ensemble.RandomForestClassifier](./ensemble.RandomForestClassifier.md)
    
### feature_extraction
        
- [feature_extraction.CountVectorizer](./feature_extraction.CountVectorizer.md)
    
### linear_model
        
- [linear_model.LinearRegression](./linear_model.LinearRegression.md)
        
- [linear_model.SGDClassifier](./linear_model.SGDClassifier.md)
        
- [linear_model.SGDRegressor](./linear_model.SGDRegressor.md)
    
### metrics
        
- [metrics.accuracyScore](./metrics.accuracyScore.md)
        
- [metrics.confusion_matrix](./metrics.confusion_matrix.md)
        
- [metrics.zeroOneLoss](./metrics.zeroOneLoss.md)
    
### model_selection
        
- [model_selection.KFold](./model_selection.KFold.md)
        
- [model_selection.train_test_split](./model_selection.train_test_split.md)
    
### naive_bayes
        
- [naive_bayes.GaussianNB](./naive_bayes.GaussianNB.md)
    
### neighbors
        
- [neighbors.KNeighborsClassifier](./neighbors.KNeighborsClassifier.md)
    
### preprocessing
        
- [preprocessing.Binarizer](./preprocessing.Binarizer.md)
        
- [preprocessing.Imputer](./preprocessing.Imputer.md)
        
- [preprocessing.LabelEncoder](./preprocessing.LabelEncoder.md)
        
- [preprocessing.MinMaxScaler](./preprocessing.MinMaxScaler.md)
        
- [preprocessing.OneHotEncoder](./preprocessing.OneHotEncoder.md)
        
- [preprocessing.PolynomialFeatures](./preprocessing.PolynomialFeatures.md)
        
- [preprocessing.add_dummy_feature](./preprocessing.add_dummy_feature.md)
        
- [preprocessing.normalize](./preprocessing.normalize.md)
    
### svm
        
- [svm.BaseSVM](./svm.BaseSVM.md)
        
- [svm.NuSVC](./svm.NuSVC.md)
        
- [svm.NuSVR](./svm.NuSVR.md)
        
- [svm.OneClassSVM](./svm.OneClassSVM.md)
        
- [svm.SVC](./svm.SVC.md)
        
- [svm.SVR](./svm.SVR.md)
    
### tree
        
- [tree.DecisionTreeClassifier](./tree.DecisionTreeClassifier.md)
