# cluster.KMeans

K-Means clustering



        
### Usage
            
```javascript
import { KMeans } from 'kalimdor/cluster';

const kmean = new KMeans({ k: 2 });
const clusters = kmean.fit({ X: [[1, 2], [1, 4], [1, 0], [4, 2], [4, 4], [4, 0]] });

const result = kmean.predict({ X: [[0, 0], [4, 4]] });
// results in: [0, 1]
```

        
### Constructors
            
* [constructor](#constructor)


        
### Methods
            
* [fit](#λ-fit)
            
* [fromJSON](#λ-fromjson)
            
* [predict](#λ-predict)
            
* [toJSON](#λ-tojson)




        
# Constructors
        
---
            
### constructor
            

            


                    
⊕ **new KMeans**(options: *&#x60;object&#x60;*)
                
Defined in [cluster/k_means.ts:43](https://github.com/JasonShin/kalimdorjs/blob/master/src/lib/cluster/k_means.ts#L43)
                


                        
**Parameters:**
                        
| Param | Type | Default | Description |
| ------ | ------ | ------ | ------ |
| options.distance |  |  | Choice of distance method. Defaulting to euclidean
| options.k | number |  | Number of clusters
| options.maxIteration | number |  | Relative tolerance with regards to inertia to declare convergence
| options.randomState | number |  | Random state value for sorting centroids during the getInitialCentroid phase

                        

                        
**Returns:** KMeans






        
# Methods
        
---
                    
### λ fit
                    
Compute k-means clustering.
                    

                
Defined in [cluster/k_means.ts:75](https://github.com/JasonShin/kalimdorjs/blob/master/src/lib/cluster/k_means.ts#L75)
                


                        
**Parameters:**
                        
| Param | Type | Default | Description |
| ------ | ------ | ------ | ------ |
| options.X | any |  | 

                        
**Returns:**
                        
void
                    
### λ fromJSON
                    
Restores the model from checkpoints
                    

                
Defined in [cluster/k_means.ts:157](https://github.com/JasonShin/kalimdorjs/blob/master/src/lib/cluster/k_means.ts#L157)
                


                        
**Parameters:**
                        
| Param | Type | Default | Description |
| ------ | ------ | ------ | ------ |
| options.centroids | number[] | null | 
| options.clusters | number[] | null | 
| options.k | number | null | 

                        
**Returns:**
                        
void
                    
### λ predict
                    
Predicts the cluster index with the given X
                    

                
Defined in [cluster/k_means.ts:133](https://github.com/JasonShin/kalimdorjs/blob/master/src/lib/cluster/k_means.ts#L133)
                


                        
**Parameters:**
                        
| Param | Type | Default | Description |
| ------ | ------ | ------ | ------ |
| options.X | any |  | 

                        
**Returns:**
                        
number[]
                    
### λ toJSON
                    
Get the model details in JSON format
                    

                
Defined in [cluster/k_means.ts:143](https://github.com/JasonShin/kalimdorjs/blob/master/src/lib/cluster/k_means.ts#L143)
                


                        
**Returns:**
                        
| Param | Type | Description |
| ------ | ------ | ------ |
| centroids | number[] | undefined
| clusters | number[] | undefined
| k | number | undefined


