# metrics.confusion_matrix





            
▸ **confusion_matrix**(options: *&#x60;object&#x60;*)
            
A confusion matrix is a technique for summarizing the performance of a classification algorithm.
            
Classification accuracy alone can be misleading if you have an unequal number of observations in each class or if you have more than two classes in your dataset.

Calculating a confusion matrix can give you a better idea of what your classification model is getting right and what types of errors it is making.

                
### Usage
                    
```javascript
import { confusion_matrix } from 'kalimdor/metrics';

const matrix1 = confusion_matrix({
  y_true: [1, 2, 3],
  y_pred: [1, 2, 3]
});
console.log(matrix1); // [ [ 1, 0, 0 ], [ 0, 1, 0 ], [ 0, 0, 1 ] ]

const matrix2 = confusion_matrix({
  y_true: ['cat', 'ant', 'cat', 'cat', 'ant', 'bird'],
  y_pred: ['ant', 'ant', 'cat', 'cat', 'ant', 'cat']
});
console.log(matrix2); // [ [ 1, 2, 0 ], [ 2, 0, 0 ], [ 0, 1, 0 ] ]
```
        
Defined in [metrics/classification.ts:194](https://github.com/JasonShin/kalimdorjs/blob/master/src/lib/metrics/classification.ts#L194)

                
**Parameters:**
                
| Param | Type | Default | Description |
| ------ | ------ | ------ | ------ |
| options.labels | any[] |  | List of labels to index the matrix. This may be used to reorder orselect a subset of labels. If none is given, those that appearat least once in ytrue or y_pred are used in sorted order.
| options.ypred | any[] |  | Estimated targets as returned by a classifier.
| options.ytrue | any[] |  | Ground truth (correct) target values.

                
**Returns:**
                
number[]

