# model_selection.train_test_split





            
▸ **train_test_split**(__namedParameters: *&#x60;object&#x60;*)
            
Split arrays or matrices into random train and test subsets
            

                
### Usage
                    
```javascript
import { train_test_split } from 'kalimdor/model_selection';

const X = [[0, 1], [2, 3], [4, 5], [6, 7], [8, 9]];
const y = [0, 1, 2, 3, 4];

train_test_split({
  X,
  y,
  test_size: 0.33,
  train_size: 0.67,
  random_state: 42
});

/*
* { xTest: [ [ 0, 1 ], [ 8, 9 ] ],
*  xTrain: [ [ 4, 5 ], [ 6, 7 ], [ 2, 3 ] ],
*  yTest: [ 0, 4 ],
*  yTrain: [ 2, 3, 1 ] }
```
        
Defined in [model_selection/_split.ts:122](https://github.com/JasonShin/kalimdorjs/blob/master/src/lib/model_selection/_split.ts#L122)

                
**Parameters:**
                
| Param | Type | Default | Description |
| ------ | ------ | ------ | ------ |
| options.X | any[] | null | input data
| options.clone | boolean | true | to clone the original data
| options.randomstate | number | 0 | state used to shuffle data
| options.testsize | number | 0.25 | size of the returning test set
| options.trainsize | number | 0.75 | size of the returning training set
| options.y | any[] | null | target data

                
**Returns:**
                
| Param | Type | Description |
| ------ | ------ | ------ |
| xTest | any[] | undefined
| xTrain | any[] | undefined
| yTest | any[] | undefined
| yTrain | any[] | undefined


