# naive_bayes.GaussianNB

The Naive is an intuitive method that uses probabilistic of each attribute
belonged to each class to make a prediction. It uses Gaussian function to estimate
probability of a given class.



        
### Usage
            
```javascript
import { GaussianNB } from 'kalimdor/naive_bayes';

const nb = new GaussianNB();
const X = [[1, 20], [2, 21], [3, 22], [4, 22]];
const y = [1, 0, 1, 0];
nb.fit({ X, y });
nb.predict({ X: [[1, 20]] }); // returns [ 1 ]

```

        
### Constructors
            
* [constructor](#constructor)


        
### Methods
            
* [fit](#λ-fit)
            
* [fromJSON](#λ-fromjson)
            
* [predict](#λ-predict)
            
* [toJSON](#λ-tojson)




        
# Constructors
        
---
            
### constructor
            

            


                    
⊕ **new GaussianNB**(__namedParameters: *&#x60;object&#x60;*)
                
Defined in [naive_bayes/gaussian.ts:31](https://github.com/JasonShin/kalimdorjs/blob/master/src/lib/naive_bayes/gaussian.ts#L31)
                


                        
**Parameters:**
                        
| Param | Type | Default | Description |
| ------ | ------ | ------ | ------ |
| options.clone | boolean | true | To clone the input values during fit and predict

                        

                        
**Returns:** GaussianNB






        
# Methods
        
---
                    
### λ fit
                    
Fit date to build Gaussian Distribution summary
                    

                
Defined in [naive_bayes/gaussian.ts:53](https://github.com/JasonShin/kalimdorjs/blob/master/src/lib/naive_bayes/gaussian.ts#L53)
                


                        
**Parameters:**
                        
| Param | Type | Default | Description |
| ------ | ------ | ------ | ------ |
| options.X | any[][] | null | training values
| options.y | any[] | null | target values

                        
**Returns:**
                        
void
                    
### λ fromJSON
                    
Restores GaussianNB model from a checkpoint
                    

                
Defined in [naive_bayes/gaussian.ts:116](https://github.com/JasonShin/kalimdorjs/blob/master/src/lib/naive_bayes/gaussian.ts#L116)
                


                        
**Parameters:**
                        
| Param | Type | Default | Description |
| ------ | ------ | ------ | ------ |
| options.summaries | _type | null | Gaussian Distribution summaries

                        
**Returns:**
                        
void
                    
### λ predict
                    
Predict multiple rows
                    

                
Defined in [naive_bayes/gaussian.ts:88](https://github.com/JasonShin/kalimdorjs/blob/master/src/lib/naive_bayes/gaussian.ts#L88)
                


                        
**Parameters:**
                        
| Param | Type | Default | Description |
| ------ | ------ | ------ | ------ |
| options.X | any[][] | null | values to predict in Matrix format

                        
**Returns:**
                        
number[]
                    
### λ toJSON
                    
Returns a model checkpoint
                    

                
Defined in [naive_bayes/gaussian.ts:131](https://github.com/JasonShin/kalimdorjs/blob/master/src/lib/naive_bayes/gaussian.ts#L131)
                


                        
**Returns:**
                        
| Param | Type | Description |
| ------ | ------ | ------ |


