# neighbors.KNeighborsClassifier

Classifier implementing the k-nearest neighbors vote.



        
### Usage
            
```javascript
const knn = new KNeighborsClassifier();
const X = [[0, 0, 0], [0, 1, 1], [1, 1, 0], [2, 2, 2], [1, 2, 2], [2, 1, 2]];
const y = [0, 0, 0, 1, 1, 1];
knn.fit({ X, y });
console.log(knn.predict([1, 2])); // predicts 1
```

        
### Constructors
            
* [constructor](#constructor)


        
### Methods
            
* [fit](#λ-fit)
            
* [fromJSON](#λ-fromjson)
            
* [predict](#λ-predict)
            
* [toJSON](#λ-tojson)




        
# Constructors
        
---
            
### constructor
            

            


                    
⊕ **new KNeighborsClassifier**(__namedParameters: *&#x60;object&#x60;*)
                
Defined in [neighbors/classification.ts:25](https://github.com/JasonShin/kalimdorjs/blob/master/src/lib/neighbors/classification.ts#L25)
                


                        
**Parameters:**
                        
| Param | Type | Default | Description |
| ------ | ------ | ------ | ------ |
| options.distance | string | DISTEUC | Choice of distance function, should choose between euclidean | manhattan
| options.k | number | 0 | Number of neighbors to classify
| options.type | string | TYPEKD | Type of algorithm to use, choose between kdtree(default) | balltree | simple

                        

                        
**Returns:** KNeighborsClassifier






        
# Methods
        
---
                    
### λ fit
                    
Train the classifier with input and output data
                    

                
Defined in [neighbors/classification.ts:72](https://github.com/JasonShin/kalimdorjs/blob/master/src/lib/neighbors/classification.ts#L72)
                


                        
**Parameters:**
                        
| Param | Type | Default | Description |
| ------ | ------ | ------ | ------ |
| options.X | number[][] | [] | Training data.
| options.y | number[] | [] | Target data.

                        
**Returns:**
                        
void
                    
### λ fromJSON
                    
Restores the model from a JSON checkpoint
                    

                
Defined in [neighbors/classification.ts:132](https://github.com/JasonShin/kalimdorjs/blob/master/src/lib/neighbors/classification.ts#L132)
                


                        
**Parameters:**
                        
| Param | Type | Default | Description |
| ------ | ------ | ------ | ------ |
| options.classes | any | null | 
| options.distance | any | null | 
| options.k | any | null | 
| options.tree | any | null | 
| options.type | any | null | 

                        
**Returns:**
                        
void
                    
### λ predict
                    
Predict single value from a list of data
                    

                
Defined in [neighbors/classification.ts:148](https://github.com/JasonShin/kalimdorjs/blob/master/src/lib/neighbors/classification.ts#L148)
                


                        
**Parameters:**
                        
| Param | Type | Default | Description |
| ------ | ------ | ------ | ------ |
| X | any | [] | Prediction data.

                        
**Returns:**
                        
any
                    
### λ toJSON
                    
Return the model&#x27;s state as a JSON object
                    

                
Defined in [neighbors/classification.ts:108](https://github.com/JasonShin/kalimdorjs/blob/master/src/lib/neighbors/classification.ts#L108)
                


                        
**Returns:**
                        
| Param | Type | Description |
| ------ | ------ | ------ |
| classes | any[] | undefined
| distance | any | undefined
| k | number | undefined
| tree | any | undefined
| type | string | undefined


