# preprocessing.Imputer

Imputation transformer for completing missing values.



        
### Usage
            
```javascript
import { Imputer } from 'preprocessing/Imputer';

const testX = [[1, 2], [null, 3], [7, 6]];
const imp = new Imputer({ missingValues: null, axis: 0 });
imp.fit(testX);
const impResult = imp.fit_transform([[null, 2], [6, null], [7, 6]]);
// [ [ 4, 2 ], [ 6, 3.6666666666666665 ], [ 7, 6 ] ]
```

        
### Constructors
            
* [constructor](#constructor)


        
### Methods
            
* [fit](#λ-fit)
            
* [fit_transform](#λ-fit-transform)




        
# Constructors
        
---
            
### constructor
            

            


                    
⊕ **new Imputer**(__namedParameters: *&#x60;object&#x60;*)
                
Defined in [preprocessing/Imputer.ts:23](https://github.com/JasonShin/kalimdorjs/blob/master/src/lib/preprocessing/Imputer.ts#L23)
                


                        
**Parameters:**
                        
| Param | Type | Default | Description |
| ------ | ------ | ------ | ------ |
| options.axis | number | 0 | Direction to impute
| options.copy | boolean | false | To clone the input value
| options.missingValues | any | null | Target missing value to impute
| options.strategy | string | &quot;mean&quot; | Missing value replacement strategy

                        

                        
**Returns:** Imputer






        
# Methods
        
---
                    
### λ fit
                    
Fit the imputer on X.
                    

                
Defined in [preprocessing/Imputer.ts:51](https://github.com/JasonShin/kalimdorjs/blob/master/src/lib/preprocessing/Imputer.ts#L51)
                


                        
**Parameters:**
                        
| Param | Type | Default | Description |
| ------ | ------ | ------ | ------ |
| X | any[] | [] | Input data in array or sparse matrix format

                        
**Returns:**
                        
void
                    
### λ fit_transform
                    
Fit to data, then transform it.
                    

                
Defined in [preprocessing/Imputer.ts:79](https://github.com/JasonShin/kalimdorjs/blob/master/src/lib/preprocessing/Imputer.ts#L79)
                


                        
**Parameters:**
                        
| Param | Type | Default | Description |
| ------ | ------ | ------ | ------ |
| X | any[] | [] | Input data in array or sparse matrix format

                        
**Returns:**
                        
any[]

