# preprocessing.PolynomialFeatures

Generate polynomial and interaction features.
Generate a new feature matrix consisting of all polynomial combinations of the features
with degree less than or equal to the specified degree. For example, if an input sample
is two dimensional and of the form [a, b], the degree-2 polynomial features are [1, a, b, a^2, ab, b^2].



        
### Usage
            
```javascript
import { PolynomialFeatures } from 'kalimdor/preprocessing';
const poly = new PolynomialFeatures();
const X = [[0, 1], [2, 3], [4, 5]];
poly.transform({ X });
// Result:
// [ [ 1, 0, 1, 0, 0, 1 ],
// [ 1, 2, 3, 4, 6, 9 ],
// [ 1, 4, 5, 16, 20, 25 ] ]

```

        
### Constructors
            
* [constructor](#constructor)


        
### Methods
            
* [transform](#λ-transform)




        
# Constructors
        
---
            
### constructor
            

            


                    
⊕ **new PolynomialFeatures**(__namedParameters: *&#x60;object&#x60;*)
                
Defined in [preprocessing/data.ts:561](https://github.com/JasonShin/kalimdorjs/blob/master/src/lib/preprocessing/data.ts#L561)
                


                        
**Parameters:**
                        
| Param | Type | Default | Description |
| ------ | ------ | ------ | ------ |
| options.degree | number | 2 | The degree of the polynomial features. Default &#x3D; 2.

                        

                        
**Returns:** PolynomialFeatures






        
# Methods
        
---
                    
### λ transform
                    
Transforms the input data
                    

                
Defined in [preprocessing/data.ts:587](https://github.com/JasonShin/kalimdorjs/blob/master/src/lib/preprocessing/data.ts#L587)
                


                        
**Parameters:**
                        
| Param | Type | Default | Description |
| ------ | ------ | ------ | ------ |
| options.X | number[][] | null | a matrix

                        
**Returns:**
                        
number[][]

