# svm.OneClassSVM

Unsupervised Outlier Detection.
Estimate the support of a high-dimensional distribution.

The implementation is based on libsvm.




        
### Constructors
            
* [constructor](#constructor)


        
### Methods
            
* [fit](#λ-fit)
            
* [fromJSON](#λ-fromjson)
            
* [predict](#λ-predict)
            
* [predictOne](#λ-predictone)
            
* [toJSON](#λ-tojson)




        
# Constructors
        
---
            
### constructor
            

            


                    
⊕ **new OneClassSVM**(options: *&#x60;object&#x60;*)
                
Defined in [svm/classes.ts:266](https://github.com/JasonShin/kalimdorjs/blob/master/src/lib/svm/classes.ts#L266)
                


                        
**Parameters:**
                        
| Param | Type | Default | Description |
| ------ | ------ | ------ | ------ |
| options.cacheSize | number |  | Cache size in MB
| options.coef0 | number |  | coef0 parameter for Polynomial and Sigmoid kernels
| options.cost | number |  | Cost parameter, for C SVC, Epsilon SVR and NU SVR
| options.degree | number |  | Degree of polynomial, test for polynomial kernel
| options.epsilon | number |  | For epsilon SVR
| options.gamma |  |  | Gamma parameter of the RBF, Polynomial and Sigmoid kernels. Default value is 1/numfeatures
| options.kernel | Kernel |  | Type of Kernel
| options.nu | number |  | For NU SVC and NU SVR
| options.probabilityEstimates | boolean |  | weather to train SVC/SVR model for probability estimates,
| options.quiet | boolean |  | Print info during training if false (aka verbose)
| options.shrinking | boolean |  | Use shrinking euristics (faster)
| options.tolerance | number |  | Tolerance
| options.weight |  |  | Set weight for each possible class

                        

                        
**Returns:** OneClassSVM






        
# Methods
        
---
                    
### λ fit
                    
Fit the model according to the given training data.
                    

                
Defined in [svm/classes.ts:99](https://github.com/JasonShin/kalimdorjs/blob/master/src/lib/svm/classes.ts#L99)
                


                        
**Parameters:**
                        
| Param | Type | Default | Description |
| ------ | ------ | ------ | ------ |
| options.X | number[][] | [] | 
| options.y | number[] | [] | 

                        
**Returns:**
                        
:metal: Promise&lt;void&gt;
                    
### λ fromJSON
                    
Restores the model from a JSON checkpoint
                    

                
Defined in [svm/classes.ts:156](https://github.com/JasonShin/kalimdorjs/blob/master/src/lib/svm/classes.ts#L156)
                


                        
**Parameters:**
                        
| Param | Type | Default | Description |
| ------ | ------ | ------ | ------ |
| options.options | any | null | 
| options.svm | any | null | 
| options.type | any | null | 

                        
**Returns:**
                        
void
                    
### λ predict
                    
Predict using the linear model
                    

                
Defined in [svm/classes.ts:125](https://github.com/JasonShin/kalimdorjs/blob/master/src/lib/svm/classes.ts#L125)
                


                        
**Parameters:**
                        
| Param | Type | Default | Description |
| ------ | ------ | ------ | ------ |
| X | number[][] |  | 

                        
**Returns:**
                        
number[]
                    
### λ predictOne
                    
Predict the label of one sample.
                    

                
Defined in [svm/classes.ts:134](https://github.com/JasonShin/kalimdorjs/blob/master/src/lib/svm/classes.ts#L134)
                


                        
**Parameters:**
                        
| Param | Type | Default | Description |
| ------ | ------ | ------ | ------ |
| X | number[] |  | 

                        
**Returns:**
                        
number
                    
### λ toJSON
                    
Saves the current SVM as a JSON object
                    

                
Defined in [svm/classes.ts:142](https://github.com/JasonShin/kalimdorjs/blob/master/src/lib/svm/classes.ts#L142)
                


                        
**Returns:**
                        
| Param | Type | Description |
| ------ | ------ | ------ |
| svm | any | undefined


